NSCD(8)

NAME
/usr/sbin/nscd - name service cache daemon

DESCRIPTION
Nscd is a daemon that provides a cache for the most common name service requests. The default configuration file, /etc/nscd.conf, determines the behavior of the cache daemon. See nscd.conf(5). Nscd provides cacheing for accesses of the passwd(5), group(5), and hosts(5) databases through standard libc interfaces, such as getpwnam(3), getpwuid(3), getgrnam(3), getgrgid(3), gethostbyname(3), and others. There are two caches for each database: a positive one for items found, and a negative one for items not found. Each cache has a separate TTL (time-to-live) period for its data. Note that the shadow file is specifically not cached. getspnam(3) calls remain uncached as a result.

OPTIONS

--help
    will give you a list with all options and what they do.

NOTES
Nscd doesn't know anything about the underlaying protocols for a service. This also means, that if you change /etc/resolv.conf for DNS queries, nscd will continue to use the old one if you have configured /etc/nsswitch.conf to use DNS for host lookups. In such a case, you need to restart nscd.

SEE ALSO
nscd.conf(5), nsswitch.conf(5)

AUTHOR
nscd was written by Thorsten Kukuk and Ulrich Drepper.